HaruDoc::setInfoAttr
HaruDoc::setOpenAction
HaruDoc
PHP Manual

# HaruDoc::setInfoDateAttr

(PECL haru >= 0.0.1)

HaruDoc::setInfoDateAttr — Set the datetime info attributes of the document

### Description

bool HaruDoc::setInfoDateAttr ( int `$type` , int `$year` , int `$month` , int `$day` , int `$hour` , int `$min` , int `$sec` , string `$ind` , int `$off_hour` , int `$off_min` )

Sets the datetime info attributes of the document.

### Parameters

`type`

  The type of the attribute. Can be one of the following:

  - `HaruDoc::INFO_CREATION_DATE`
  - `HaruDoc::INFO_MOD_DATE`
`year`

`month`

  Between 1 and 12.

`day`

  Between 1 and 31, 30, 29 or 28 (different for each month).

`hour`

  Between 0 and 23.

`min`

  Between 0 and 59.

`sec`

  Between 0 and 59.

`ind`

  The timezone relation to UTC, can be "", " ", "+", "-" and "Z".

`off_hour`

  If `ind` is not " " or "", values between 0 and 23 are valid. Otherwise, this parameter is ignored.

`off_min`

  If `ind` is not " " or "", values between 0 and 59 are valid. Otherwise, this parameter is ignored.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::setInfoAttr() - Set the info attribute of the document

HaruDoc::setInfoAttr
HaruDoc::setOpenAction
HaruDoc
PHP Manual